Summary: CinePaint is a tool for manipulating images.
Name: cinepaint
Version: 0.19
Release: 1
License: GPL,LGPL,MIT
Group: Applications/Multimedia
Source0: http://prdownloads.sourceforge.net/cinepaint/cinepaint-0.19-1.tar.gz
URL: http://www.cinepaint.org
BuildRoot: %{_tmppath}/%{name}-root
#Requires: /sbin/ldconfig FIXME: Find dependencies
Prefix:    %{_prefix}

%description
CinePaint is a painting and retouching tool primarily used for motion
picture frame-by-frame retouching and dust-busting. It was used on THE
LAST SAMURAI, HARRY POTTER and many other films.

CinePaint runs on all popular flavors of Linux and on Mac OS X as an
X11 application. The Windows port of CinePaint is currently broken,
sorry.

CinePaint is different from other painting tools because it supports
deep color depth image formats up to 32 bits per channel deep. For
comparison, GIMP is limited 8-bit, and Photoshop to 16-bit.

CinePaint was originally based on GIMP and consequently is a GTK1-based
application. A new FLTK-based version of CinePaint, called Glasgow,
is nearing alpha. There's also a new image core in development, called
img_img, That will enable CinePaint to operate on images from the
command-line and to integrate with other projects such as Blender.

Support from the film industry launched development in 1998. Motion
picture technology company Silicon Grail (later acquired by Apple) and
motion picture studio Rhythm & Hues led the development, with a goal
of creating a deep paint alternative to the recently discontined SGI
IRIX version of Adobe Photoshop and to support the emerging Linux
platform. Although continuously in use in the film industry, it
never had much awareness in the open source community. On July 4,
2002, Robin Rowe released CinePaint as a SourceForge project.

The profile viewer 'ICC Examin' is available from www.behrmann.name

%package devel
Group: Development/Multimedia
Summary: CinePaint is a tool for manipulating images.
%description devel
Developer files for cinepaint.

%prep
%setup -q -n %{name}-%{version}-%{release}

%build
%configure
make %{_smp_mflags}

%install
rm -rf %{buildroot}
make install \
        DESTDIR=%{buildroot}
#mkdir -p %{buildroot}/usr/include/cinepaint-%{version}-%{release}/lib
#mkdir -p %{buildroot}/usr/include/cinepaint-%{version}-%{release}/libgimp
#cp $RPM_BUILD_ROOT/cinepaint-%{version}-%{release}/lib/*.h %{buildroot}/usr/include/cinepaint-%{version}-%{release}/lib/
#cp $RPM_BUILD_ROOT/cinepaint-%{version}-%{release}/libgimp/*.h %{buildroot}/usr/include/cinepaint-%{version}-%{release}/libgimp/
#install -d $RPM_BUILD_ROOT/%{prefix}/include/cinepaint-%{version}-%{release}/lib
#install -d $RPM_BUILD_ROOT/%{prefix}/include/cinepaint-%{version}-%{release}/libgimp
#install -m 644 %{prefix}/src/redhat/BUILD/cinepaint-%{version}-%{release}/lib/*.h $RPM_BUILD_ROOT/%{prefix}/include/cinepaint-%{version}-%{release}/lib
#install -m 644 %{prefix}/src/redhat/BUILD/cinepaint-%{version}-%{release}/libgimp/*.h $RPM_BUILD_ROOT/%{prefix}/include/cinepaint-%{version}-%{release}/libgimp

# Add desktop entry

mkdir -p %{buildroot}/%{_datadir}/applications
install -m 644 $RPM_BUILD_DIR/cinepaint-%{version}-%{release}/cinepaint.desktop %{buildroot}/%{_datadir}/applications
mkdir -p %{buildroot}/%{_datadir}/pixmaps
install -m 644 $RPM_BUILD_DIR/cinepaint-%{version}-%{release}/cinepaint.png %{buildroot}/%{_datadir}/pixmaps

%clean
rm -rf %{buildroot}

%post

%postun

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/*
%{_libdir}/*.so.*
%{_datadir}/%{name}
%{_prefix}/share/aclocal/cinepaint.m4
%{_mandir}/man1/*
%{_libdir}/cinepaint/0.19-1/*
%{_datadir}/applications/cinepaint.desktop
%{_datadir}/pixmaps/cinepaint.png

%files devel
%defattr(-, root, root)
#%doc HACKING
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
#%{prefix}/include/cinepaint-0.19-1/lib/*.h
#%{_mandir}/man?/*


%changelog

* Fri Apr 11 2003 Robin Rowe
- filmgimp to cinepaint rename
- rename gimp files

* Tue Dec 03 2002 Sam Richards
- Changed include directory path.

* Wed Nov 06 2002 Rene Rask
- release 0.6-2
- Rpms can now be built from source by running "make rpm"
- Updated splash and logo images.

* Mon Nov 04 2002 Rene Rask
- release 0.6.

* Wed Oct 30 2002 Rene Rask
- Initial RPM release.
